/procedure/{procedureId}/comment

List procedure comments

Lists note comments attached to the procedure identified by procedureId.

Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
ApiKeyAuth (Authorization: Session Token)
Produces
application/json

Request

Path Parameters

NameTypeRequiredDescription
procedureIdintegerYesProcedure ID
cURL
curl -X GET 'https://<tenant>.dieagenturverwaltung.de/api/v2/procedure/123/comment' \
  -H 'Accept: application/json' \
  -H 'Authorization: Session Token'

Responses

200OK
array<app.Comment>application/json
Example
[
  {
    "author_name": "string",
    "comment_type": "string",
    "content_type": "string",
    "date_created": 123,
    "date_modified": 123,
    "id": 123,
    "organisation_id": 123,
    "person_id": 123,
    "small_user": {...},
    "text": "string",
    "to_procedure": [
      {...}
    ],
    "user_id": 123,
    "visible_for_users": "string"
  }
]
400Bad Request
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
403Forbidden
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
404Not Found
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
500Internal Server Error
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}